Description

Hi, forks,

Thank you for the development of such a great product!

For PDF properties (such as Title, Author, and else), the encoding

of multi-byte characters should be UTF-16BE with BOM prefix, not UTF-8.

Below is a patch for this problem.  The patch will provide

method overridings of SetTitle() and textstring(),

which are original in vendor/plugins/rfpdf/lib/rfpdf/fpdf.rb.

I have checked this patch in Japanese environment (see attached images),

but I suppose it should be applicable to other multi-byte environments

(such as Chinese, Korean, and so on) encoded by UTF-8.

Thank you for your consideration in advance.

Best Regards,

Hajime BABA

Associated revisions

Revision 2233 - 2009-01-04 15:54 - Jean-Philippe Lang

Scramble PDF title (#1204).

History

#1 - 2008-05-13 11:27 - Thomas Lecavelier

- Target version changed from 0.7.1 to 0.8

Version 0.7.1 was released. Switch to 0.8.

#2 - 2008-12-18 07:21 - Jeffrey Hulten

This patch applied cleanly for me but I am unsure of how to test it or what else needs to be done to accept it.

#3 - 2008-12-30 12:40 - Jean-Philippe Lang

- Target version changed from 0.8 to 0.8.1

#4 - 2009-01-04 15:51 - Jean-Philippe Lang

- Status changed from New to Closed

Committed in r2233. Thanks.
